function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
% function g1 = dynamic_g1(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   g1
%

if T_flag
    T = model_obc_small_lowkappa_c.dynamic_g1_tt(T, y, x, params, steady_state, it_);
end
g1 = zeros(28, 49);
g1(1,12)=(-1);
g1(1,35)=1;
g1(2,13)=1;
g1(2,40)=(-T(2));
g1(2,18)=(-T(2));
g1(2,36)=(-(T(2)*(-params(7))));
g1(3,14)=1;
g1(4,13)=T(4);
g1(4,1)=(-T(5));
g1(4,15)=params(4);
g1(4,17)=(-(params(4)-1));
g1(5,15)=(-1);
g1(5,16)=1;
g1(6,16)=1;
g1(6,17)=(-1);
g1(6,35)=(-1);
g1(7,12)=(-1);
g1(7,13)=(-1);
g1(7,1)=T(6)*(-T(3));
g1(7,15)=T(6);
g1(7,17)=params(13)+(params(4)-1)/T(4);
g1(8,19)=1;
g1(8,26)=(-1);
g1(8,35)=1;
g1(9,20)=1;
g1(9,41)=(-T(2));
g1(9,42)=T(2);
g1(9,28)=(-T(2));
g1(9,36)=(-(T(2)*(-params(7))));
g1(10,21)=1;
g1(11,20)=T(4);
g1(11,3)=(-T(5));
g1(11,22)=params(4);
g1(11,24)=(-(params(4)-1));
g1(12,22)=(-1);
g1(12,23)=1;
g1(13,23)=1;
g1(13,24)=(-1);
g1(13,35)=(-1);
g1(14,19)=(-(params(22)*T(9)));
g1(14,5)=(-(params(11)*T(9)));
g1(14,25)=1;
g1(14,42)=(-(T(8)*T(9)));
g1(14,39)=(-1)-T(9)*((-params(11))-params(11)*T(8));
g1(14,44)=(-(T(9)*(params(11)*T(8)-T(8))));
g1(15,20)=(-1);
g1(15,3)=T(6)*(-T(3));
g1(15,22)=T(6);
g1(15,24)=params(13)+(params(4)-1)/T(4);
g1(15,26)=(-1);
g1(16,2)=(1-params(36))*(-params(15));
g1(16,16)=(1-params(36))*(-((-((1-params(17))*params(16)))-params(15)));
g1(16,4)=params(15)*(1-params(36));
g1(16,23)=(1-params(36))*(-((1-params(17))*params(16)+params(15)));
g1(16,25)=(1-params(36))*(-(params(14)*(1-params(17))));
g1(16,27)=1;
g1(16,6)=(1-params(36))*(-params(17));
g1(16,11)=params(17)*(1-params(36));
g1(16,39)=(1-params(36))*(-(1-params(14)*(1-params(17))));
g1(17,27)=(-1);
g1(17,28)=1;
g1(17,37)=(-1);
g1(17,10)=(-1);
g1(18,10)=(-params(23));
g1(18,38)=1;
g1(18,48)=(-1);
g1(19,34)=1;
g1(20,7)=(-params(18));
g1(20,35)=1;
g1(20,45)=(-1);
g1(21,8)=(-params(19));
g1(21,36)=1;
g1(21,46)=(-1);
g1(22,9)=(-params(9));
g1(22,37)=1;
g1(22,47)=(-1);
g1(23,11)=(-0.995);
g1(23,39)=1;
g1(23,49)=(-1);
g1(24,16)=1;
g1(24,23)=(-1);
g1(24,29)=1;
g1(25,4)=T(1);
g1(25,23)=(-T(1));
g1(25,32)=1;
g1(26,25)=(-1);
g1(26,31)=1;
g1(27,28)=(-4);
g1(27,30)=1;
g1(28,43)=(-4);
g1(28,33)=1;

end
