function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
% function residual = dynamic_resid(T, y, x, params, steady_state, it_, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T             [#temp variables by 1]     double   vector of temporary terms to be filled by function
%   y             [#dynamic variables by 1]  double   vector of endogenous variables in the order stored
%                                                     in M_.lead_lag_incidence; see the Manual
%   x             [nperiods by M_.exo_nbr]   double   matrix of exogenous variables (in declaration order)
%                                                     for all simulation periods
%   steady_state  [M_.endo_nbr by 1]         double   vector of steady state values
%   params        [M_.param_nbr by 1]        double   vector of parameter values in declaration order
%   it_           scalar                     double   time period for exogenous variables for which
%                                                     to evaluate the model
%   T_flag        boolean                    boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = model_obc_small_lowkappa_c.dynamic_resid_tt(T, y, x, params, steady_state, it_);
end
residual = zeros(28, 1);
lhs = y(35);
rhs = y(12);
residual(1) = lhs - rhs;
lhs = y(13);
rhs = T(2)*(y(40)+y(18)-y(36)*params(7));
residual(2) = lhs - rhs;
residual(3) = y(14);
lhs = y(13)*T(4);
rhs = (params(4)-1)*y(17)+(-params(4))*y(15)+y(1)*T(5);
residual(4) = lhs - rhs;
lhs = y(16);
rhs = y(15);
residual(5) = lhs - rhs;
lhs = y(16);
rhs = y(35)+y(17);
residual(6) = lhs - rhs;
lhs = y(17)*params(13)+y(17)*(params(4)-1)/T(4)+T(6)*(y(15)-y(1)*T(3));
rhs = y(12)+y(13);
residual(7) = lhs - rhs;
lhs = y(19);
rhs = y(26)-y(35);
residual(8) = lhs - rhs;
lhs = y(20);
rhs = T(2)*(y(41)+y(28)-y(42)-y(36)*params(7));
residual(9) = lhs - rhs;
residual(10) = y(21);
lhs = y(20)*T(4);
rhs = (params(4)-1)*y(24)+(-params(4))*y(22)+y(3)*T(5);
residual(11) = lhs - rhs;
lhs = y(23);
rhs = y(22);
residual(12) = lhs - rhs;
lhs = y(23);
rhs = y(35)+y(24);
residual(13) = lhs - rhs;
lhs = y(25)-y(39);
rhs = T(9)*(y(19)*params(22)+params(11)*(y(5)-y(39))+(y(42)-y(44))*T(8)+(y(44)-y(39))*params(11)*T(8));
residual(14) = lhs - rhs;
lhs = params(13)*y(24)+y(24)*(params(4)-1)/T(4)+T(6)*(y(22)-y(3)*T(3));
rhs = y(26)+y(20);
residual(15) = lhs - rhs;
residual(16) = (y(27)+params(35)+params(3)-0.0625-0.001)*params(36)+(y(27)-(y(39)+(y(25)-y(39))*params(14)*(1-params(17))+(1-params(17))*params(16)*(y(23)-y(16))+params(15)*(y(23)-y(16)-y(4)+y(2))+params(17)*(y(6)-y(11))))*(1-params(36));
lhs = y(28);
rhs = y(27)+y(37)+y(10);
residual(17) = lhs - rhs;
lhs = y(38);
rhs = y(10)*params(23)+x(it_, 4);
residual(18) = lhs - rhs;
residual(19) = y(34);
lhs = y(35);
rhs = params(18)*y(7)+x(it_, 1);
residual(20) = lhs - rhs;
lhs = y(36);
rhs = params(19)*y(8)+x(it_, 2);
residual(21) = lhs - rhs;
lhs = y(37);
rhs = params(9)*y(9)+x(it_, 3);
residual(22) = lhs - rhs;
lhs = y(39);
rhs = y(11)*0.995+x(it_, 5);
residual(23) = lhs - rhs;
lhs = y(29);
rhs = y(23)-y(16);
residual(24) = lhs - rhs;
lhs = y(32);
rhs = params(10)+T(1)*(y(23)-y(4));
residual(25) = lhs - rhs;
lhs = y(31);
rhs = params(3)+y(25);
residual(26) = lhs - rhs;
lhs = y(30);
rhs = 4*(y(28)+T(7));
residual(27) = lhs - rhs;
lhs = y(33);
rhs = 4*(y(43)+T(7));
residual(28) = lhs - rhs;

end
