function residual = static_resid(T, y, x, params, T_flag)
% function residual = static_resid(T, y, x, params, T_flag)
%
% File created by Dynare Preprocessor from .mod file
%
% Inputs:
%   T         [#temp variables by 1]  double   vector of temporary terms to be filled by function
%   y         [M_.endo_nbr by 1]      double   vector of endogenous variables in declaration order
%   x         [M_.exo_nbr by 1]       double   vector of exogenous variables in declaration order
%   params    [M_.param_nbr by 1]     double   vector of parameter values in declaration order
%                                              to evaluate the model
%   T_flag    boolean                 boolean  flag saying whether or not to calculate temporary terms
%
% Output:
%   residual
%

if T_flag
    T = model_obc_small_lowkappa_c.static_resid_tt(T, y, x, params);
end
residual = zeros(28, 1);
lhs = y(24);
rhs = y(1);
residual(1) = lhs - rhs;
lhs = y(2);
rhs = T(1)*(y(2)+y(7)-y(25)*params(7));
residual(2) = lhs - rhs;
residual(3) = y(3);
lhs = y(2)*T(3);
rhs = (params(4)-1)*y(6)+(-params(4))*y(4)+y(4)*T(4);
residual(4) = lhs - rhs;
lhs = y(5);
rhs = y(4);
residual(5) = lhs - rhs;
lhs = y(5);
rhs = y(24)+y(6);
residual(6) = lhs - rhs;
lhs = y(6)*params(13)+y(6)*(params(4)-1)/T(3)+(1-params(4))/T(3)*(y(4)-T(2)*y(4));
rhs = y(1)+y(2);
residual(7) = lhs - rhs;
lhs = y(8);
rhs = y(15)-y(24);
residual(8) = lhs - rhs;
lhs = y(9);
rhs = T(1)*(y(9)+y(17)-y(14)-y(25)*params(7));
residual(9) = lhs - rhs;
residual(10) = y(10);
lhs = T(3)*y(9);
rhs = (params(4)-1)*y(13)+(-params(4))*y(11)+T(4)*y(11);
residual(11) = lhs - rhs;
lhs = y(12);
rhs = y(11);
residual(12) = lhs - rhs;
lhs = y(12);
rhs = y(24)+y(13);
residual(13) = lhs - rhs;
lhs = y(14)-y(28);
rhs = T(6)*(y(8)*params(22)+(y(14)-y(28))*params(11)+(y(14)-y(28))*T(5));
residual(14) = lhs - rhs;
lhs = params(13)*y(13)+(params(4)-1)/T(3)*y(13)+(1-params(4))/T(3)*(y(11)-T(2)*y(11));
rhs = y(15)+y(9);
residual(15) = lhs - rhs;
residual(16) = y(16)-(y(28)+(y(14)-y(28))*params(14)*(1-params(17))+(1-params(17))*params(16)*(y(12)-y(5))+params(15)*(y(5)+y(12)-y(5)-y(12))+params(17)*(y(17)-y(28)));
lhs = y(17);
rhs = y(16)+y(26)+y(27);
residual(17) = lhs - rhs;
lhs = y(27);
rhs = y(27)*params(23)+x(4);
residual(18) = lhs - rhs;
residual(19) = y(23);
lhs = y(24);
rhs = y(24)*params(18)+x(1);
residual(20) = lhs - rhs;
lhs = y(25);
rhs = y(25)*params(19)+x(2);
residual(21) = lhs - rhs;
lhs = y(26);
rhs = y(26)*params(9)+x(3);
residual(22) = lhs - rhs;
lhs = y(28);
rhs = y(28)*0.995+x(5);
residual(23) = lhs - rhs;
lhs = y(18);
rhs = y(12)-y(5);
residual(24) = lhs - rhs;
lhs = y(21);
rhs = params(10);
residual(25) = lhs - rhs;
lhs = y(20);
rhs = params(3)+y(14);
residual(26) = lhs - rhs;
lhs = y(19);
rhs = T(7);
residual(27) = lhs - rhs;
lhs = y(22);
rhs = T(7);
residual(28) = lhs - rhs;
if ~isreal(residual)
  residual = real(residual)+imag(residual).^2;
end
end
