@#define OIShorizon_obs =  [ 1]
@#define OIShorizon_shock=OIShorizon_obs
@#define DUM_OIS=0
@#define DUM_est_csigmab=0
@#define DUM_est_theta=0
@#define DUM_PIOBJ=0


var 
wf 
xif 
btotf 
cf 
yf 
labf 
rrf

mc
xi
btot
c  
y 
lab
pinf
w
rnot 
r
ygap

STIEONIA_ea 
dYED_ea 
dYER_ea

    @#for h in OIShorizon_obs
        OIS_@{h}
    @#endfor


gamma
a
b
ms
    @#for h in OIShorizon_shock
        ms_@{h} 
    @#endfor
piobj
;

varexo 
ea 
eb
em


        @#for h in OIShorizon_shock
                em_@{h}       
         @#endfor

epiobj

;

parameters
constetheta

curvp constepinf csigma chabb csigmab cbc clandap crhoms ctrend 
           cindp cprobp csigl crpi crdy cry crr crhoa crhob 
           cbg2gdp constinfl_5plus5 kappa
         @#define OIS_para=[1,2,3,4,5,6,7,8,9,10,11,12]
         @#for h in OIS_para

                crhoms_@{h}
         @#endfor


     consterr
;



    //Steady state GDP growth and inflation
    ctrend=   0.319; %quarterly trend growth rate to GDP
    constepinf=0.79;

    //Intercept of inflation expectations measurement equation. 0.07=quarterly difference between growth rate of CPI and YED over 
    constinfl_5plus5=constepinf+0.04;

    consterr=0.531; //Steady state real interest rate calibration target (default)
    
    //Government debt-to-GDP ratio
    cbg2gdp=4*0.6619;       


constetheta=0;
csigma=1;
csigmab=0;
cbc=1;
csigl=0.1;
chabb=0.7527;

cindp=0.2317;
cprobp=0.9281;
clandap=1.6982;
curvp=10;

crpi=1.4180;
crdy= 0.1552;
cry= 0.1563;
crr= 0.9229;

crhoa= 0.9777;
crhob= 0.9499;
crhoms=0.4047;
kappa=0.03;


         @#for h in OIS_para

                crhoms_@{h} =0;      
         @#endfor

p_kappa=kappa

p_ea=0.4698;
p_eb=0.1696;
p_em=0.0960;

p_crhoa =crhoa;
p_crhob =crhob;
p_crhoms=crhoms;
p_cindp=cindp;
p_cprobp=cprobp;
p_crpi=crpi;
p_crdy=crdy;
p_cry=cry;
p_crr=crr;
p_chabb=chabb;
p_csigmab=0;
p_constetheta=0;


load model_obc_small_lowkappa_b_mode;
@#include "readestimates_20211007.mod"

model(linear);
#cgamma=ctrend/100+1;

#theta=100/(constetheta+100); %discount factor



 
    #crealrate=consterr/100+1;
    #cbetabar=theta/crealrate;
    #cbeta=cbetabar*cgamma^csigma;

#cpie=constepinf/100+1;
#cr=cpie*crealrate;
#cb2gdp=cbg2gdp;
#cwhlc=1;
#conster=(cr-1)*100;


% flexible economy

	      a =  wf ; 


          %consumption Euler equation
          
          xif=theta*(xif(+1)+rrf-csigma*gamma(+1)-b*cbc)-csigmab*(1-theta)*btotf/cb2gdp;    
          btotf=0;
          (1-chabb/cgamma)*xif=-csigma*cf+csigma*chabb/cgamma*(cf(-1)-gamma)+((csigma-1)*cwhlc)*labf;

          %aggregate resource constraint
	      yf = cf;
          % aggregate production function
	      yf = labf + a;
          (1-csigma)/(1-chabb/cgamma)*(cf-chabb/cgamma*(cf(-1)-gamma))+(csigma-1)*cwhlc/(1-chabb/cgamma)*labf+csigl*labf=xif+wf;

%sticky price economy

          mc =  w - a;

          xi=theta*(xi(+1)+r-pinf(+1)-csigma*gamma(+1)-b*cbc)-csigmab*(1-theta)*btot/cb2gdp;
          btot=0;
          (1-chabb/cgamma)*xi=-csigma*c+csigma*chabb/cgamma*(c(-1)-gamma)+((csigma-1)*cwhlc)*lab;

        
          %aggregate resource constraint
	      y = c;
          % aggregate production function
	      y = lab +a;
          %Phillips Curve
          pinf-piobj =  (1/(1+cbetabar*cgamma*cindp)) * ( cbetabar*cgamma*(pinf(1)-piobj(1)) +cindp*(pinf(-1)-piobj)+ cbetabar*cgamma*cindp*(piobj(+1)-piobj )
               +kappa*mc  ); 
          % wage setting

          (1-csigma)/(1-chabb/cgamma)*(c-chabb/cgamma*(c(-1)-gamma))+(csigma-1)*cwhlc/(1-chabb/cgamma)*lab+csigl*lab=xi+w;
          %Monetary Policy Rule
       [name='mpol',bind='ELB']
       rnot+((consterr+constepinf))-0.25/4=0.001;//+0.25/4
       [name='mpol',relax='ELB']
       rnot =piobj+  crpi*(1-crr)*(pinf-piobj) +cry*(1-crr)*(y-yf) +crdy*(y-yf-y(-1)+yf(-1))+crr*(r(-1)-piobj(-1));


        r=rnot+ms+
        @#for h in OIShorizon_shock
                +ms_@{h}(-@{h})       
         @#endfor
        ;
        @#for h in OIShorizon_shock
                ms_@{h} = crhoms_@{h}*ms_@{h}(-1) + em_@{h}; 
                
         @#endfor
        
  

          gamma=0;
	      a = crhoa*a(-1)  + ea;
	      b = crhob*b(-1) + eb;
          ms = crhoms*ms(-1) + em;


          piobj = 0.995*piobj(-1)+ epiobj;
          ygap=y-yf;


dYER_ea=(y-y(-1)+gamma)*cgamma+ctrend;
dYED_ea = 1*(pinf) + constepinf;
STIEONIA_ea =    4*((r) + conster);

 @#for h in OIShorizon_obs
 
    
    OIS_@{h}=4*(conster+1/(@{h})*(
        @#for i in 1:h
                +r(@{i})
        @#endfor
                ))
;
    @#endfor
end;


occbin_constraints;
name 'ELB'; bind rnot+((consterr+constepinf))-0.25/4<0.001; relax rnot+((consterr+constepinf))-0.25/4>=0.001; //
end;



initval;
dYER_ea=ctrend;


dYED_ea = constepinf;
STIEONIA_ea = ((constepinf/100+1)*(consterr/100+1)-1)*400;

 @#for h in OIShorizon_obs
    
    OIS_@{h}=STIEONIA_ea;
 @#endfor

end; 


shocks;
var eb;
stderr (p_eb);

var ea;
stderr (p_ea);

var em;
stderr (p_em);
end;


resid;
steady;
write_latex_original_model;
stoch_simul(irf=20,nograph) y pinf r;


@#include "model_OBC_small_obs.mod"

@#include "model_OBC_small_priors_kappa.mod"

shocks(surprise);
var eb;
periods 10:10 20:20; 
values -25 -25;
end;

occbin_setup(likelihood_maxit = 400, likelihood_periods = 100, likelihood_check_ahead_periods = 800);
//occbin_solver(simul_check_ahead_periods=200,simul_debug);

//occbin_graph rnot y pinf b; 



estimation(order=1,datafile=data_example, xls_sheet=Sheet1, xls_range=A1:E200, mode_compute=1, first_obs=40,nobs=160,presample=4,lik_init=2,prefilter=0, mh_nblocks=3, mh_replic=0,mh_jscale=0.27,mh_drop=0.33, plot_priors =0, graph_format = ( fig, eps),nodisplay);%,mode_file=US_SW07_EndG_Estimation_mh_mode

